# Recreate Biologger raw image data
#
# M. Lewis, IRM Plc 2007
#
# Requires python image libraries
# see http://www.pythonware.com/library/pil/handbook/imagedraw.htm
#

import Image, ImageDraw

data = []
# open specified image data file (binary mode)
f = open("image_data.dat", 'rb')
data = f.read()

# specify range for x axis wrap
for wrap in range(100,150):
	# create new greyscale image with spcified (x,y) dimensions
	newIm = Image.new ("L", (150,150))
	putpixel = newIm.putpixel
	x = 0
	y = 0
	# plot all captured image data 
	for p in range(len(data)):
		# get the pixel colour value
		col = ord(data[p])
		# plot the pixel colour at the current (x,y) position
		putpixel((x, y), col)
		x = x + 1
		# if we've reached current wrap, plot on next line
		if x == wrap:
			x = 0
			y = y + 1
	# save the plotted image
	newIm.save("fingerprint" + str(wrap) + ".jpg")

print "Finished.\n"